Page MenuHomePhabricator

SDC file page JS doesn't see existing captions in some circumstances
Closed, ResolvedPublic

Description

Please see this conversation for historical background:

https://commons.wikimedia.org/w/index.php?title=Commons_talk:Structured_data&oldid=345090906#Can't_edit_file_captions_while_a_file_is_being_requested_to_be_renamed

While I attempt to rename a file on Wikimedia Commons I can't edit file captions while the file is awaiting either approval or denial from a file renamer, please see:

This issue seems to affect both mobile 📱 and desktop users.

Event Timeline

DonTrung created this task.Apr 6 2019, 8:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2019, 8:57 PM

Change 501965 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@master] Hooks::mediaInfoCaptionsExist: True even if the tag is lower case

https://gerrit.wikimedia.org/r/501965

Jdforrester-WMF renamed this task from File captions can't be edited while a file is requested to be renamed (Wikimedia Commons) to SDC file page JS doesn't see existing captions in some circumstances.Apr 6 2019, 10:42 PM
Jdforrester-WMF claimed this task.

Wow, this has got to be the fastest patch ever. Good job, JDForrester-WMF. 😊

Change 501965 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Hooks::mediaInfoCaptionsExist: True even if the tag is lower case

https://gerrit.wikimedia.org/r/501965

Change 502257 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.24] Hooks::mediaInfoCaptionsExist: True even if the tag is lower case

https://gerrit.wikimedia.org/r/502257

Change 502258 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.23] Hooks::mediaInfoCaptionsExist: True even if the tag is lower case

https://gerrit.wikimedia.org/r/502258

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Apr 8 2019, 4:16 PM

Change 502258 abandoned by Jforrester:
Hooks::mediaInfoCaptionsExist: True even if the tag is lower case

Reason:
Train's fully deployed now.

https://gerrit.wikimedia.org/r/502258

Change 502257 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.24] Hooks::mediaInfoCaptionsExist: True even if the tag is lower case

https://gerrit.wikimedia.org/r/502257

Mentioned in SAL (#wikimedia-operations) [2019-04-08T22:04:56Z] <jforrester@deploy1001> Synchronized php-1.33.0-wmf.24/extensions/WikibaseMediaInfo/src/WikibaseMediaInfoHooks.php: WBMI T220277 (duration: 00m 57s)

Ramsey-WMF added a subscriber: Ramsey-WMF.EditedJun 7 2019, 10:03 PM

Tested on Production today and found problem still exists, and extends to the new tab as well.

Tested with files from: https://commons.wikimedia.org/wiki/Category:Media_requiring_renaming

Change 516490 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Change class used by js to detect if we're on a history page

https://gerrit.wikimedia.org/r/516490

Cparle claimed this task.Jun 11 2019, 1:38 PM
Cparle moved this task from To Do to Code Review on the Structured-Data-Team-Current-Work board.
Cparle added a subscriber: Jdforrester-WMF.

Change 516490 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Change class used by js to detect if we're on a history page

https://gerrit.wikimedia.org/r/516490

Cparle closed this task as Resolved.Jun 12 2019, 4:50 PM

Should be verifiable on production on Thurs, June 20

Cparle reopened this task as Open.Jun 12 2019, 4:51 PM

sorry, resolved by accident ...

Cparle removed Cparle as the assignee of this task.Jun 12 2019, 4:51 PM
Cparle added a subscriber: Cparle.
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:54 PM
Restricted Application added a project: Structured-Data-Backlog. · View Herald TranscriptAug 14 2019, 2:01 AM